XmCreateSelectionDialog(3Xm)

NAME
XmCreateSelectionDialog — the SelectionBox SelectionDialog convenience creation function.

SYNOPSIS
#include <Xm/SelectioB.h>

Widget XmCreateSelectionDialog (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateSelectionDialog is a convenience creation function that creates a DialogShell and an unmanaged SelectionBox child of the DialogShell. A SelectionDialog offers the user a choice from a list of alternatives and gets a selection. It includes the following:

•   A scrolling list of alternatives.

•   An editable text field for the selected alternative.

•   Labels for the text field.

•   Three buttons.

The default button labels are OK, Cancel, and Help. One additional WorkArea child may be added to the SelectionBox after creation.

Use XtManageChild to pop up the SelectionDialog (passing the SelectionBox as the widget parameter); use XtUnmanageChild to pop it down.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of SelectionBox and its associated resources, see XmSelectionBox(3Xm).

RETURN VALUE
Returns the SelectionBox widget ID.

RELATED INFORMATION
XmSelectionBox(3Xm).